There are requirements before installing Collabspot for Salesforce:



1. Your Google Chrome should be version 69 and above. We keep our extension up to date with Chrome, previous versions of Chrome are no longer supported by Collabspot.




2. Install Collabspot using the email address you want to use Collabspot with.





After you have complied with the requirements, please install Collabspot for Salesforce by following the steps below:


1. Visit Collabspot. Click "Collabspot Classic for GMail", select Salesforce then follow the installation steps.




2. Once the download is complete, a pop-up window will appear indicating the extension has been added in Google chrome.


3. Once Collabspot is added to Chrome. Gmail launches automatically and Collabspot window will popup in your Gmail. Go to this link on how to login Collabspot.